function [rtrial] = Modelos_de_dano1 (MDtype,ce,eps_n1,n)
%**************************************************************************************
%*          Defining damage criterion surface                                        %*
%*                                                                                   %*
%*
%*                          MDtype=  1      : SYMMETRIC                              %*
%*                          MDtype=  2      : ONLY TENSION                           %*
%*                          MDtype=  3      : NON-SYMMETRIC                          %*
%*                                                                                   %*
%*                                                                                   %*
%* OUTPUT:                                                                           %*
%*                          rtrial                                                   %*               
%**************************************************************************************



%**************************************************************************************
if (MDtype==1)      %* Symmetric
rtrial= sqrt(eps_n1*ce*eps_n1')                       ;

elseif (MDtype==2)  %* Only tension 
eps_n1_positive=zeros(size(eps_n1));%Condición de pure tensile
             for j=1:4 %Recorre el vector(tensor simplificado) de sigma
                if eps_n1(j)>0
                eps_n1_positive(j)=eps_n1(j);
                end
            end
            rtrial= sqrt(eps_n1_positive*ce*eps_n1');
    
elseif (MDtype==3)  %*Non-symmetric
    %Aquí la rtrial se toma igual que cuando calculamos el radio en el
    %criterio para dibujar, pero se cambia sigma por eps_n1 y
    %sigma_positive por eps_n1_positive. 
            eps_n1_positive=zeros(size(eps_n1));%Condición de pure tensile
            for j=1:4 %Recorre el vector(tensor simplificado) de sigma
                if eps_n1(j)>0
                eps_n1_positive(j)=eps_n1(j);
                end
            end
            tethanueva=(sum(eps_n1_positive(1:3)))/(sum(abs(eps_n1(1:3))));%Tetanueva es la tetha que multiplica en tau para el caso non-symetric
            rtrial=(tethanueva+((1-tethanueva)/n))*sqrt(eps_n1*ce*eps_n1');%Esto cambia nuevamente
end
%**************************************************************************************
return